<?php
// ####################################################
// carrito_add.php
// parte de shoop
// © ff 2005

include("_incl/wfCart.php");

session_start();

// ####################################################
// cargo el carrito o lo creo nuevo si fuera menester

	$cart =& $_SESSION['cart'];
	if(!is_object($cart)) $cart = new wfCart();

	if(!isset($_REQUEST['id'])) {
		$cart->empty_cart();
	} else {
		$cart->add_item($_REQUEST['id'], 
						1,
						$_REQUEST['precio'], 
						array(	'tipo'=>$_REQUEST['tipo'],
								'marca'=>$_REQUEST['marca'],
								'modelo'=>$_REQUEST['modelo'],
								'color'=>$_REQUEST['color'],
								'acabados'=>$_REQUEST['acabados']));
	}
	header('Location: '.$HTTP_SERVER_VARS['HTTP_REFERER']);
?>